{
  "name": "adventofcode2024",
  "version": "1.0.0",
  "description": "Welcome to my repository where I share my solutions for the [Advent of Code 2024](https://adventofcode.com/2024). Advent of Code is an annual online event where participants solve a series of programming puzzles released daily from December 1st until December 25th. Each puzzle is a fun and unique challenge designed to test problem-solving skills.",
  "main": "index.js",
  "scripts": {
    "lint": "eslint 'Day**/{js,ts}/*.{js,ts}'",
    "lint:fix": "eslint 'Day**/{js,ts}/*.{js,ts}' --fix",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^8.16.0",
    "@typescript-eslint/parser": "^8.16.0",
    "eslint": "^9.16.0"
  },
  "dependencies": {
    "@types/node": "^22.10.1",
    "fs": "^0.0.1-security"
  }
}
